<?	session_start();
	if(!isset($_SESSION['id_admin'])){
		header("../acceso.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');

	$Id = $_GET['Id'];

	$Nombre = $_POST["nombre"];
	$Mail = $_POST["mail"];
	$Apellidos = $_POST["apellidos"];	
	$actual = $_POST['actual'];
	$nueva1 = $_POST['nueva1'];
	$nueva2 = $_POST['nueva2'];

	Conectar();
	
	if ($Id==''){
	$sql = "INSERT INTO administradores (`Id`, `Nombre`, `Mail`, `Apellidos`, `Pass`, `Area`, `departamento`, `nivel`, `telefono`, `Region`, `Centrotrabajo`, `Division`) VALUES (NULL, '$Nombre', '$Mail', '$Apellidos', '$actual', 'Vacio', 'Vacio', '1' , '0', 'Madrid', 'Oficina', 'Vacio' )";	
	}
	
	else{	
	$sql = "Select Pass from administradores where Id = '$Id'";
  	$res = mysql_query($sql);
	list($Pass) = mysql_fetch_row($res);

	$sql = "Update administradores Set ";

	$sql = $sql .  "
		Nombre = '$Nombre',
		Apellidos = '$Apellidos',
		Mail = '$Mail'";
		
	if ($actual == $Pass) 
		if ($nueva1 == $nueva2)
		$sql= $sql. ",Pass = '$nueva1'";


	$sql = $sql . " where Id = $Id";
	}
	$res=mysql_query($sql);
	Desconectar();
	header("location:../usuarios.php");
	exit;
	}
?>